package com.persagy.proxy.adm.model;

import com.persagy.proxy.adm.annotations.CascadeColumn;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * ADM 建筑 实体
 * @author Charlie Yu
 * @date 2021-08-16
 */
@Data
public class AdmBuilding {

    /** ID */
    private String id;
    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** 项目ID */
    private String projectId;
    /** 平台默认二维码 */
    private String defaultQRCode;
    /** 建筑二维码图片 */
    private String buildQRCode;
    /** 对象类型 */
    private String objectType = "building";
    /** 信息点 */
    private Map<String, Object> infos;
    /** 创建时间 */
    private Date createTime;
    /** 最后更新日期 */
    private Date lastUpdate;
    /** 统计信息 */
    private Map<String, Object> statistics;
    /** 级联-项目 */
    @CascadeColumn(graphCode = "ArchSubset", relCode = "Pj2Bd", selectToObj = false)
    private AdmProject project;
    /** 级联-楼层 */
    @CascadeColumn(graphCode = "ArchSubset", relCode = "Bd2Fl")
    private List<AdmFloor> floor;

    /** 建筑类型code */
    private String classCode = "building";
}
