package com.persagy.proxy.adm.model;

import com.persagy.proxy.adm.annotations.CascadeColumn;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * ADM 系统实体
 * @author lvxy
 * @date 2021/8/17
 */
@Data
public class AdmSystem {

    /** ID */
    private String id;
    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** 设计图纸中编码 */
    private String cadId;
    /** 系统分类 */
    private String classCode;

    /** BIM模型中编码 */
    private String bimId;

    /** 项目ID */
    private String projectId;
    /** 建筑ID */
    private String buildingId;
    /** 楼层ID */
    private String floorId;
    /** 设备数量 */
    private String count;
    /** 设备分类名 */
    private String categoryName;
    /** 设备分类名 */
    private AdmSystemCategory categoryNames;

    /** 对象类型 */
    private String objectType = "system";
    /** 创建时间 */
    private Date createTime;
    /** 最后更新日期 */
    private Date lastUpdate;

    /** 信息点 */
    private Map<String, Object> infos;
    /** 统计信息 */
    private Map<String, Object> statistics;


    /** 级联-设备 */
    @CascadeColumn(graphCode = "MechSubset", relCode = "Sy2Eq")
    private List<AdmEquipment> equipmentList;
    /** 级联-空间 */
    @CascadeColumn(graphCode = "MechInArch", relCode = "Sy2Sp")
    private List<AdmSpace> zoneSpaceBaseTableList;
    /** 级联-楼层 */
    @CascadeColumn(graphCode = "MechInArch", relCode = "Sy2Fl")
    private List<AdmFloor> floorList;
    /** 级联-建筑 */
    @CascadeColumn(graphCode = "MechInArch", relCode = "Sy2Bd")
    private List<AdmBuilding> buildingList;
    /** 建筑楼层 */
    private List<AdmBuildingFloorInfo> buildingFloorInfoList;
}
