package com.persagy.proxy.adm.strategy.relationdata;

import java.util.List;

import com.persagy.proxy.adm.model.AdmRelationObject;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月2日 下午10:46:03
 */
public interface QueryRelationObjectStrategy {

	String WHERE_IN = "$in";
	
	String OBJ_TYPE = "objType";
	
	/**
	 * 查询出所有的关系信息
	 * <p>因原代码中，不存在zoneType类型不为空时对应的方法，所以此处不再进行此数据的判断</p>
	 * 
	 * @param groupCode 集团编码
	 * @param projectId 项目ID
	 * @param relType   边类型--ADM的
	 * @return 不会返回null
	 */
	List<AdmRelationObject> findRelationObject(String groupCode, String projectId, String relType);
	
}
